Subject: MPC5200 TXRTS feature

From: Stefan Eletzhofer <[email-masked]>
Date: Fri, 16 Dec 2005 12:16:37 +0100

Hi,
has anyone got the "TXRTS" feature working on the Freescale MPC5200? I
need that to use PSC6 for RS485. 

I've tried some hints I found in a thread starting here:
http://article.gmane.org/gmane.comp.hardware.motorola.microcontrollers.coldfire/6225
but no luck, so far.

I got it working by manually asserting and negating RTS through OP1/OP0,
and waiting for the TX_FIFO_EMPTY bit, but I really want to use the
TXRTS feature, which _should_ deassert RTS automatically one bit-time
after the last bit is shifted out.

Thanks,
Stefan E.

-- 
Stefan Eletzhofer
InQuant GmbH
Bahnhofstraße 11
D-88214 Ravensburg
http://www.inquant.de
http://www.eletztrick.de
+49 (0) 751 35 44 112
+49 (0) 171 23 24 529 (Mobil)
+49 (0) 751 35 44 115 (FAX)